//$Id: NotSharedReaderPerfTest.java 20946 2011-05-17 12:28:26Z stliu $
package org.hibernate.search.test.reader;

import org.apache.lucene.analysis.StopAnalyzer;
import org.hibernate.cfg.Configuration;
import org.hibernate.dialect.DB2Dialect;
import org.hibernate.dialect.Oracle8iDialect;
import org.hibernate.dialect.SybaseASE15Dialect;
import org.hibernate.search.Environment;
import org.hibernate.search.store.FSDirectoryProvider;

/**
 * @author Emmanuel Bernard
 */
public class NotSharedReaderPerfTest extends ReaderPerfTestCase {
	protected void configure(Configuration cfg) {
		super.configure( cfg );
		cfg.setProperty( "hibernate.search.default.directory_provider", FSDirectoryProvider.class.getName() );
		cfg.setProperty( "hibernate.search.default.indexBase", "./indextemp" );
		cfg.setProperty( Environment.ANALYZER_CLASS, StopAnalyzer.class.getName() );
		cfg.setProperty( Environment.READER_STRATEGY, "not-shared" );
	}
	public void testConcurrency() throws Exception {
		if(getDialect() instanceof DB2Dialect || getDialect() instanceof Oracle8iDialect || getDialect() instanceof SybaseASE15Dialect){
			return;
		}
		super.testConcurrency();
	}
}
